Subject: bug#20089: Error in process filter big freeze

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Mar 2015 21:05:46 +0200

> From: Clément Miklarz <[email-masked]>
> Date: Wed, 11 Mar 2015 18:59:46 +0100
> 
> I used emacs 24.4.1 (i686-pc-mingw32).
> 
> I went to Options -> Manage Emacs Packages.
> Then it tries to connect to each host I specified in my .emacs.
> And here are the logs :
> Contacting host: elpa.gnu.org:80
> Contacting host: tromey.com:80
> Contacting host: marmalade-repo.org:80
> Opening TLS connection to `marmalade-repo.org'...
> Opening TLS connection with `gnutls-cli --insecure -p 443
> marmalade-repo.org'...failed
> Opening TLS connection with `gnutls-cli --insecure -p 443 marmalade-repo.org -
> -protocols ssl3'...failed

Do you have gnutls-cli.exe on your system?  If so, is it per chance a
Cygwin build of gnutls-cli?

> Opening TLS connection with `openssl s_client -connect marmalade-repo.org:443 -
> no_ssl2 -ign_eof'...failed
> Opening TLS connection to `marmalade-repo.org'...failed
> error in process filter: url-http: Could not create connection to
> marmalade-repo.org:443
> error in process filter: Could not create connection to marmalade-repo.org:443
> Failed to download `marmalade' archive.
> 
> When I get the first error, emacs freeze.
> Meanwhile, there seems to be a heavy load on the CPU and the RAM for emacs rise
> to 858 Mo.
> If I tried again, it freezes again, the CPU is busy but the amount of RAM does
> not change.

Is your Emacs built with GnuTLS support, and if so, do you have the
GnuTLS DLL installed somewhere where Emacs can find it?

When Emacs uses the gnutls-cli program, it communicates with it via
signals, that don't work on Windows, so Emacs waits for gnutls-cli
indefinitely.  So on Windows, the only way to open TLS connection is
to have Emacs built with GnuTLS support.